IARRAY_RECT_TO_POLAR(3)

EXPERIMENTAL_FUNC
iarray_rect_to_polar - Transform an image from rectangular to polar co-ordinates.

SYNOPSIS
#include <karma_iarray.h>

void iarray_rect_to_polar

(iarray out, iarray in, double centre_x, double centre_y, double radius_major, double radius_minor, double rotation)

DESCRIPTION
This routine will transform an input image with a rectangular co-ordinate system to an output image with a polar co-ordinate system. Lines of constant radius in the output image correspond to the points around an ellipse in the input image. The X axis in the output image will correspond to different radii bins, while the Y axis will correspond to different angle bins. The last X axis index will correspond to the outer ellipse.

out The output 2D Intelligent Array of type K_FLOAT. The polar image is written here. This must be externally allocated.

in  The input 2D Intelligent Array of type K_FLOAT. This must contain the input rectangular image.

centre_x
    The X centre of the new polar co-ordinate system in the input.

centre_y
    The Y centre of the new polar co-ordinate system in the input.

radius_major
    The radius of the major axis of the outer ellipse.

radius_minor
    The radius of the minor axis of the outer ellipse.

rotation
    The rotation of the ellipse, in degrees. An angle of 0 would mean the major axis is parallel to the input image X axis.

RETURN VALUE
Nothing.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/